var Lib = function(exports, vue) {
  "use strict";/**
 *  Copyright 2024 Thorsten Luenborg 
 *  @license MIT
**/

  const DEFAULT_FONT_FAMILY$1 = "-apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji";
  const LIGHT_THEME = {
    fontFamily: DEFAULT_FONT_FAMILY$1,
    fontSize: "24px",
    colors: {
      primary: {
        background: "#87edc3",
        border: "#87edc3",
        hover: "#87edc3",
        text: "#000"
      },
      black: {
        background: "#000",
        border: "#000",
        hover: "#000",
        text: "#fff"
      },
      white: {
        background: "#fff",
        border: "#fff",
        hover: "#fff",
        text: "#000"
      },
      gray: {
        background: "#DCDCDC",
        border: "#DCDCDC",
        hover: "#DCDCDC",
        text: "#000"
      },
      red: {
        background: "#f00",
        border: "#f00",
        hover: "#f00",
        text: "#000"
      },
      orange: {
        background: "#FFA500",
        border: "#FFA500",
        hover: "#FFA500",
        text: "#000"
      },
      yellow: {
        background: "#FFA500",
        border: "#FFA500",
        hover: "#FFA500",
        text: "#000"
      },
      green: {
        background: "#0f0",
        border: "#0f0",
        hover: "#0f0",
        text: "#000"
      },
      teal: {
        background: "#008080",
        border: "#008080",
        hover: "#008080",
        text: "#fff"
      },
      blue: {
        background: "#00f",
        border: "#00f",
        hover: "#00f",
        text: "#fff"
      },
      cyan: {
        background: "#00FFFF",
        border: "#00FFFF",
        hover: "#00FFFF",
        text: "#000"
      },
      purple: {
        background: "#800080",
        border: "#800080",
        hover: "#800080",
        text: "#fff"
      },
      pink: {
        background: "#FFC0CB",
        border: "#FFC0CB",
        hover: "#FFC0CB",
        text: "#000"
      },
      surface: {
        50: `#fcfcfc`,
        100: "#f5f5f5",
        200: "#e8e8e8",
        300: "#d5d5d5",
        400: "#a3a3a3",
        500: "#747474",
        600: "#555555",
        700: "#414141",
        800: "#292929",
        900: "#171717"
      }
    },
    button: {},
    code: {
      backgroundColor: "#e7e7e7"
    },
    input: {
      backgroundColor: "#ffffff",
      borderColor: "#fff",
      borderStyle: "none"
    },
    typographies: {
      white: "#fff",
      black: "#000",
      fontFamily: DEFAULT_FONT_FAMILY$1,
      fontWeight: "700",
      textWrap: "wrap",
      h1: {
        fontSize: "34px",
        lineHeight: "1.3"
      },
      h2: {
        fontSize: "26px",
        lineHeight: "1.35"
      },
      h3: {
        fontSize: "22px",
        lineHeight: "1.4"
      },
      h4: {
        fontSize: "18px",
        lineHeight: "1.45"
      },
      h5: {
        fontSize: "16px",
        lineHeight: "1.5"
      },
      h6: {
        fontSize: "14px",
        lineHeight: "1.5"
      },
      p: {
        fontSize: "12px",
        lineHeight: "1.5"
      }
    }
  };
  const DEFAULT_FONT_FAMILY = "-apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji";
  const DARK_THEME = {
    fontFamily: DEFAULT_FONT_FAMILY,
    fontSize: "24px",
    colors: {
      primary: {
        background: "#87edc3",
        border: "#87edc3",
        hover: "#87edc3",
        text: "#000"
      },
      black: {
        background: "#000",
        border: "#000",
        hover: "#000",
        text: "#fff"
      },
      white: {
        background: "#fff",
        border: "#fff",
        hover: "#fff",
        text: "#000"
      },
      gray: {
        background: "#DCDCDC",
        border: "#DCDCDC",
        hover: "#DCDCDC",
        text: "#000"
      },
      red: {
        background: "#f00",
        border: "#f00",
        hover: "#f00",
        text: "#000"
      },
      orange: {
        background: "#FFA500",
        border: "#FFA500",
        hover: "#FFA500",
        text: "#000"
      },
      yellow: {
        background: "#FFA500",
        border: "#FFA500",
        hover: "#FFA500",
        text: "#000"
      },
      green: {
        background: "#0f0",
        border: "#0f0",
        hover: "#0f0",
        text: "#000"
      },
      teal: {
        background: "#008080",
        border: "#008080",
        hover: "#008080",
        text: "#fff"
      },
      blue: {
        background: "#00f",
        border: "#00f",
        hover: "#00f",
        text: "#fff"
      },
      cyan: {
        background: "#00FFFF",
        border: "#00FFFF",
        hover: "#00FFFF",
        text: "#000"
      },
      purple: {
        background: "#800080",
        border: "#800080",
        hover: "#800080",
        text: "#fff"
      },
      pink: {
        background: "#FFC0CB",
        border: "#FFC0CB",
        hover: "#FFC0CB",
        text: "#000"
      },
      surface: {
        900: "#05f5f5",
        800: "#e8e8e8",
        700: "#d5d5d5",
        600: "#a3a3a3",
        500: "#747474",
        400: "#555555",
        300: "#414141",
        200: "#292929",
        100: "#171717",
        50: `#111111`
      }
    },
    button: {},
    code: {
      backgroundColor: "#353535"
    },
    input: {
      backgroundColor: "#ffffff",
      borderColor: "#fff",
      borderStyle: "none"
    },
    typographies: {
      white: "#000",
      black: "#fff",
      fontFamily: DEFAULT_FONT_FAMILY,
      fontWeight: "700",
      textWrap: "wrap",
      h1: {
        fontSize: "34px",
        lineHeight: "1.3"
      },
      h2: {
        fontSize: "26px",
        lineHeight: "1.35"
      },
      h3: {
        fontSize: "22px",
        lineHeight: "1.4"
      },
      h4: {
        fontSize: "18px",
        lineHeight: "1.45"
      },
      h5: {
        fontSize: "16px",
        lineHeight: "1.5"
      },
      h6: {
        fontSize: "14px",
        lineHeight: "1.5"
      },
      p: {
        fontSize: "12px",
        lineHeight: "1.5"
      }
    }
  };
  var r = { grad: 0.9, turn: 360, rad: 360 / (2 * Math.PI) }, t = function(r2) {
    return "string" == typeof r2 ? r2.length > 0 : "number" == typeof r2;
  }, n = function(r2, t2, n2) {
    return void 0 === t2 && (t2 = 0), void 0 === n2 && (n2 = Math.pow(10, t2)), Math.round(n2 * r2) / n2 + 0;
  }, e = function(r2, t2, n2) {
    return void 0 === t2 && (t2 = 0), void 0 === n2 && (n2 = 1), r2 > n2 ? n2 : r2 > t2 ? r2 : t2;
  }, u = function(r2) {
    return (r2 = isFinite(r2) ? r2 % 360 : 0) > 0 ? r2 : r2 + 360;
  }, a = function(r2) {
    return { r: e(r2.r, 0, 255), g: e(r2.g, 0, 255), b: e(r2.b, 0, 255), a: e(r2.a) };
  }, o = function(r2) {
    return { r: n(r2.r), g: n(r2.g), b: n(r2.b), a: n(r2.a, 3) };
  }, i = /^#([0-9a-f]{3,8})$/i, s = function(r2) {
    var t2 = r2.toString(16);
    return t2.length < 2 ? "0" + t2 : t2;
  }, h = function(r2) {
    var t2 = r2.r, n2 = r2.g, e2 = r2.b, u2 = r2.a, a2 = Math.max(t2, n2, e2), o2 = a2 - Math.min(t2, n2, e2), i2 = o2 ? a2 === t2 ? (n2 - e2) / o2 : a2 === n2 ? 2 + (e2 - t2) / o2 : 4 + (t2 - n2) / o2 : 0;
    return { h: 60 * (i2 < 0 ? i2 + 6 : i2), s: a2 ? o2 / a2 * 100 : 0, v: a2 / 255 * 100, a: u2 };
  }, b$1 = function(r2) {
    var t2 = r2.h, n2 = r2.s, e2 = r2.v, u2 = r2.a;
    t2 = t2 / 360 * 6, n2 /= 100, e2 /= 100;
    var a2 = Math.floor(t2), o2 = e2 * (1 - n2), i2 = e2 * (1 - (t2 - a2) * n2), s2 = e2 * (1 - (1 - t2 + a2) * n2), h2 = a2 % 6;
    return { r: 255 * [e2, i2, o2, o2, s2, e2][h2], g: 255 * [s2, e2, e2, i2, o2, o2][h2], b: 255 * [o2, o2, s2, e2, e2, i2][h2], a: u2 };
  }, g = function(r2) {
    return { h: u(r2.h), s: e(r2.s, 0, 100), l: e(r2.l, 0, 100), a: e(r2.a) };
  }, d = function(r2) {
    return { h: n(r2.h), s: n(r2.s), l: n(r2.l), a: n(r2.a, 3) };
  }, f = function(r2) {
    return b$1((n2 = (t2 = r2).s, { h: t2.h, s: (n2 *= ((e2 = t2.l) < 50 ? e2 : 100 - e2) / 100) > 0 ? 2 * n2 / (e2 + n2) * 100 : 0, v: e2 + n2, a: t2.a }));
    var t2, n2, e2;
  }, c = function(r2) {
    return { h: (t2 = h(r2)).h, s: (u2 = (200 - (n2 = t2.s)) * (e2 = t2.v) / 100) > 0 && u2 < 200 ? n2 * e2 / 100 / (u2 <= 100 ? u2 : 200 - u2) * 100 : 0, l: u2 / 2, a: t2.a };
    var t2, n2, e2, u2;
  }, l = /^hsla?\(\s*([+-]?\d*\.?\d+)(deg|rad|grad|turn)?\s*,\s*([+-]?\d*\.?\d+)%\s*,\s*([+-]?\d*\.?\d+)%\s*(?:,\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i, p$1 = /^hsla?\(\s*([+-]?\d*\.?\d+)(deg|rad|grad|turn)?\s+([+-]?\d*\.?\d+)%\s+([+-]?\d*\.?\d+)%\s*(?:\/\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i, v = /^rgba?\(\s*([+-]?\d*\.?\d+)(%)?\s*,\s*([+-]?\d*\.?\d+)(%)?\s*,\s*([+-]?\d*\.?\d+)(%)?\s*(?:,\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i, m$1 = /^rgba?\(\s*([+-]?\d*\.?\d+)(%)?\s+([+-]?\d*\.?\d+)(%)?\s+([+-]?\d*\.?\d+)(%)?\s*(?:\/\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i, y = { string: [[function(r2) {
    var t2 = i.exec(r2);
    return t2 ? (r2 = t2[1]).length <= 4 ? { r: parseInt(r2[0] + r2[0], 16), g: parseInt(r2[1] + r2[1], 16), b: parseInt(r2[2] + r2[2], 16), a: 4 === r2.length ? n(parseInt(r2[3] + r2[3], 16) / 255, 2) : 1 } : 6 === r2.length || 8 === r2.length ? { r: parseInt(r2.substr(0, 2), 16), g: parseInt(r2.substr(2, 2), 16), b: parseInt(r2.substr(4, 2), 16), a: 8 === r2.length ? n(parseInt(r2.substr(6, 2), 16) / 255, 2) : 1 } : null : null;
  }, "hex"], [function(r2) {
    var t2 = v.exec(r2) || m$1.exec(r2);
    return t2 ? t2[2] !== t2[4] || t2[4] !== t2[6] ? null : a({ r: Number(t2[1]) / (t2[2] ? 100 / 255 : 1), g: Number(t2[3]) / (t2[4] ? 100 / 255 : 1), b: Number(t2[5]) / (t2[6] ? 100 / 255 : 1), a: void 0 === t2[7] ? 1 : Number(t2[7]) / (t2[8] ? 100 : 1) }) : null;
  }, "rgb"], [function(t2) {
    var n2 = l.exec(t2) || p$1.exec(t2);
    if (!n2)
      return null;
    var e2, u2, a2 = g({ h: (e2 = n2[1], u2 = n2[2], void 0 === u2 && (u2 = "deg"), Number(e2) * (r[u2] || 1)), s: Number(n2[3]), l: Number(n2[4]), a: void 0 === n2[5] ? 1 : Number(n2[5]) / (n2[6] ? 100 : 1) });
    return f(a2);
  }, "hsl"]], object: [[function(r2) {
    var n2 = r2.r, e2 = r2.g, u2 = r2.b, o2 = r2.a, i2 = void 0 === o2 ? 1 : o2;
    return t(n2) && t(e2) && t(u2) ? a({ r: Number(n2), g: Number(e2), b: Number(u2), a: Number(i2) }) : null;
  }, "rgb"], [function(r2) {
    var n2 = r2.h, e2 = r2.s, u2 = r2.l, a2 = r2.a, o2 = void 0 === a2 ? 1 : a2;
    if (!t(n2) || !t(e2) || !t(u2))
      return null;
    var i2 = g({ h: Number(n2), s: Number(e2), l: Number(u2), a: Number(o2) });
    return f(i2);
  }, "hsl"], [function(r2) {
    var n2 = r2.h, a2 = r2.s, o2 = r2.v, i2 = r2.a, s2 = void 0 === i2 ? 1 : i2;
    if (!t(n2) || !t(a2) || !t(o2))
      return null;
    var h2 = function(r3) {
      return { h: u(r3.h), s: e(r3.s, 0, 100), v: e(r3.v, 0, 100), a: e(r3.a) };
    }({ h: Number(n2), s: Number(a2), v: Number(o2), a: Number(s2) });
    return b$1(h2);
  }, "hsv"]] }, N = function(r2, t2) {
    for (var n2 = 0; n2 < t2.length; n2++) {
      var e2 = t2[n2][0](r2);
      if (e2)
        return [e2, t2[n2][1]];
    }
    return [null, void 0];
  }, x = function(r2) {
    return "string" == typeof r2 ? N(r2.trim(), y.string) : "object" == typeof r2 && null !== r2 ? N(r2, y.object) : [null, void 0];
  }, M = function(r2, t2) {
    var n2 = c(r2);
    return { h: n2.h, s: e(n2.s + 100 * t2, 0, 100), l: n2.l, a: n2.a };
  }, H = function(r2) {
    return (299 * r2.r + 587 * r2.g + 114 * r2.b) / 1e3 / 255;
  }, $ = function(r2, t2) {
    var n2 = c(r2);
    return { h: n2.h, s: n2.s, l: e(n2.l + 100 * t2, 0, 100), a: n2.a };
  }, j = function() {
    function r2(r3) {
      this.parsed = x(r3)[0], this.rgba = this.parsed || { r: 0, g: 0, b: 0, a: 1 };
    }
    return r2.prototype.isValid = function() {
      return null !== this.parsed;
    }, r2.prototype.brightness = function() {
      return n(H(this.rgba), 2);
    }, r2.prototype.isDark = function() {
      return H(this.rgba) < 0.5;
    }, r2.prototype.isLight = function() {
      return H(this.rgba) >= 0.5;
    }, r2.prototype.toHex = function() {
      return r3 = o(this.rgba), t2 = r3.r, e2 = r3.g, u2 = r3.b, i2 = (a2 = r3.a) < 1 ? s(n(255 * a2)) : "", "#" + s(t2) + s(e2) + s(u2) + i2;
      var r3, t2, e2, u2, a2, i2;
    }, r2.prototype.toRgb = function() {
      return o(this.rgba);
    }, r2.prototype.toRgbString = function() {
      return r3 = o(this.rgba), t2 = r3.r, n2 = r3.g, e2 = r3.b, (u2 = r3.a) < 1 ? "rgba(" + t2 + ", " + n2 + ", " + e2 + ", " + u2 + ")" : "rgb(" + t2 + ", " + n2 + ", " + e2 + ")";
      var r3, t2, n2, e2, u2;
    }, r2.prototype.toHsl = function() {
      return d(c(this.rgba));
    }, r2.prototype.toHslString = function() {
      return r3 = d(c(this.rgba)), t2 = r3.h, n2 = r3.s, e2 = r3.l, (u2 = r3.a) < 1 ? "hsla(" + t2 + ", " + n2 + "%, " + e2 + "%, " + u2 + ")" : "hsl(" + t2 + ", " + n2 + "%, " + e2 + "%)";
      var r3, t2, n2, e2, u2;
    }, r2.prototype.toHsv = function() {
      return r3 = h(this.rgba), { h: n(r3.h), s: n(r3.s), v: n(r3.v), a: n(r3.a, 3) };
      var r3;
    }, r2.prototype.invert = function() {
      return w({ r: 255 - (r3 = this.rgba).r, g: 255 - r3.g, b: 255 - r3.b, a: r3.a });
      var r3;
    }, r2.prototype.saturate = function(r3) {
      return void 0 === r3 && (r3 = 0.1), w(M(this.rgba, r3));
    }, r2.prototype.desaturate = function(r3) {
      return void 0 === r3 && (r3 = 0.1), w(M(this.rgba, -r3));
    }, r2.prototype.grayscale = function() {
      return w(M(this.rgba, -1));
    }, r2.prototype.lighten = function(r3) {
      return void 0 === r3 && (r3 = 0.1), w($(this.rgba, r3));
    }, r2.prototype.darken = function(r3) {
      return void 0 === r3 && (r3 = 0.1), w($(this.rgba, -r3));
    }, r2.prototype.rotate = function(r3) {
      return void 0 === r3 && (r3 = 15), this.hue(this.hue() + r3);
    }, r2.prototype.alpha = function(r3) {
      return "number" == typeof r3 ? w({ r: (t2 = this.rgba).r, g: t2.g, b: t2.b, a: r3 }) : n(this.rgba.a, 3);
      var t2;
    }, r2.prototype.hue = function(r3) {
      var t2 = c(this.rgba);
      return "number" == typeof r3 ? w({ h: r3, s: t2.s, l: t2.l, a: t2.a }) : n(t2.h);
    }, r2.prototype.isEqual = function(r3) {
      return this.toHex() === w(r3).toHex();
    }, r2;
  }(), w = function(r2) {
    return r2 instanceof j ? r2 : new j(r2);
  };
  var __assign = function() {
    __assign = Object.assign || function __assign2(t2) {
      for (var s2, i2 = 1, n2 = arguments.length; i2 < n2; i2++) {
        s2 = arguments[i2];
        for (var p2 in s2)
          if (Object.prototype.hasOwnProperty.call(s2, p2))
            t2[p2] = s2[p2];
      }
      return t2;
    };
    return __assign.apply(this, arguments);
  };
  typeof SuppressedError === "function" ? SuppressedError : function(error, suppressed, message) {
    var e2 = new Error(message);
    return e2.name = "SuppressedError", e2.error = error, e2.suppressed = suppressed, e2;
  };
  function lowerCase(str) {
    return str.toLowerCase();
  }
  var DEFAULT_SPLIT_REGEXP = [/([a-z0-9])([A-Z])/g, /([A-Z])([A-Z][a-z])/g];
  var DEFAULT_STRIP_REGEXP = /[^A-Z0-9]+/gi;
  function noCase(input, options) {
    if (options === void 0) {
      options = {};
    }
    var _a = options.splitRegexp, splitRegexp = _a === void 0 ? DEFAULT_SPLIT_REGEXP : _a, _b = options.stripRegexp, stripRegexp = _b === void 0 ? DEFAULT_STRIP_REGEXP : _b, _c = options.transform, transform = _c === void 0 ? lowerCase : _c, _d = options.delimiter, delimiter = _d === void 0 ? " " : _d;
    var result = replace(replace(input, splitRegexp, "$1\0$2"), stripRegexp, "\0");
    var start = 0;
    var end = result.length;
    while (result.charAt(start) === "\0")
      start++;
    while (result.charAt(end - 1) === "\0")
      end--;
    return result.slice(start, end).split("\0").map(transform).join(delimiter);
  }
  function replace(input, re, value) {
    if (re instanceof RegExp)
      return input.replace(re, value);
    return re.reduce(function(input2, re2) {
      return input2.replace(re2, value);
    }, input);
  }
  function dotCase(input, options) {
    if (options === void 0) {
      options = {};
    }
    return noCase(input, __assign({ delimiter: "." }, options));
  }
  function paramCase(input, options) {
    if (options === void 0) {
      options = {};
    }
    return dotCase(input, __assign({ delimiter: "-" }, options));
  }
  var S = /^#([a-f]|[A-F]|[0-9]){3}$/, m = /^#([a-f]|[A-F]|[0-9]){6}$/, O = (e2) => S.test(e2) || m.test(e2), p = (e2, t2) => {
    let i2 = [], r2 = (s2, n2) => {
      Object.entries(s2).map(([a2, o2]) => {
        typeof o2 != "string" && typeof o2 != "number" ? r2(o2, [...n2, paramCase(a2)]) : i2.push({ key: `--${t2 && t2.prefix && `${t2.prefix}-` || ""}${[...n2, paramCase(a2)].join("-")}`, value: o2 });
      });
    };
    return r2(e2, []), i2;
  }, b = (e2, t2) => t2 && t2.withRGB ? p(e2, t2).reduce((i2, { key: r2, value: s2 }) => {
    if (!O(s2.toString()))
      return [...i2, { key: r2, value: s2 }];
    let { r: n2, g: a2, b: o2 } = w(s2.toString()).toRgb();
    return [...i2, { key: r2, value: s2 }, { key: `${r2}-rgb`, value: `${n2}, ${a2}, ${o2}` }];
  }, []) : p(e2, t2);
  const style = "";
  let theme;
  const componentsPlugin = {
    install(app, options) {
      theme = { ...getDefaultTheme(), ...options.theme };
      setTheme(theme);
    }
  };
  function getDefaultTheme() {
    return LIGHT_THEME;
  }
  function useTheme() {
    return {
      global: () => theme,
      setTheme: (newTheme) => setTheme(newTheme)
    };
  }
  function setTheme(newTheme) {
    theme = newTheme;
    updateCSSVariables(theme);
  }
  function updateCSSVariables(theme2) {
    const rootStyle = document.documentElement.style;
    const cssVariables = b(theme2);
    cssVariables.forEach(
      (cssVariable) => rootStyle.setProperty(cssVariable.key, "" + cssVariable.value)
    );
  }
  const _hoisted_1$c = { class: "sidebar" };
  const _hoisted_2$8 = { class: "sidebar-bottom" };
  const _sfc_main$e = /* @__PURE__ */ vue.defineComponent({
    __name: "Sidebar",
    props: /* @__PURE__ */ vue.mergeModels({
      id: {
        type: String,
        required: false,
        default: void 0
      }
    }, {
      "modelValue": {},
      "modelModifiers": {}
    }),
    emits: ["update:modelValue"],
    setup(__props) {
      vue.useModel(__props, "modelValue");
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$c, [
          vue.renderSlot(_ctx.$slots, "top", {}, void 0, true),
          vue.createElementVNode("div", _hoisted_2$8, [
            vue.renderSlot(_ctx.$slots, "bottom", {}, void 0, true)
          ])
        ]);
      };
    }
  });
  const Sidebar_vue_vue_type_style_index_0_scoped_7bc836cd_lang = "";
  const _export_sfc = (sfc, props) => {
    const target = sfc.__vccOpts || sfc;
    for (const [key, val] of props) {
      target[key] = val;
    }
    return target;
  };
  const Sidebar = /* @__PURE__ */ _export_sfc(_sfc_main$e, [["__scopeId", "data-v-7bc836cd"]]);
  function getBackgroundColor(color) {
    if (color) {
      return `var(--colors-${color}-background, var(--colors-primary-background))`;
    }
    return `var(--colors-primary-background)`;
  }
  function getFontColor(color) {
    if (color === void 0) {
      return "var(--typographies-black)";
    }
    return `var(--colors-${color}-text, var(--typographies-black)`;
  }
  const _hoisted_1$b = { class: "checkbox-container" };
  const _hoisted_2$7 = ["disabled"];
  const _hoisted_3$3 = { class: "checkbox-label" };
  const _sfc_main$d = /* @__PURE__ */ vue.defineComponent({
    __name: "Checkbox",
    props: /* @__PURE__ */ vue.mergeModels({
      color: {
        type: String,
        required: false,
        default: void 0
      },
      size: {
        type: String,
        require: false,
        default: "md"
      },
      disabled: {
        type: Boolean,
        required: false,
        default: void 0
      }
    }, {
      "modelValue": {},
      "modelModifiers": {}
    }),
    emits: /* @__PURE__ */ vue.mergeModels(["change"], ["update:modelValue"]),
    setup(__props, { emit: __emit }) {
      vue.useCssVars((_ctx) => ({
        "62a70515": backgroundColorCssVariable.value,
        "f5c2f92e": fontColor.value
      }));
      const model = vue.useModel(__props, "modelValue");
      const emits = __emit;
      const props = __props;
      vue.watch(model, (enabled) => {
        emits("change", enabled);
      });
      const backgroundColorCssVariable = vue.computed(() => {
        return getBackgroundColor(props.color);
      });
      const fontColor = vue.computed(() => {
        return getFontColor(props.color);
      });
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$b, [
          vue.withDirectives(vue.createElementVNode("input", {
            class: "aurora-checkbox",
            type: "checkbox",
            "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => model.value = $event),
            disabled: __props.disabled
          }, null, 8, _hoisted_2$7), [
            [vue.vModelCheckbox, model.value]
          ]),
          vue.createElementVNode("div", _hoisted_3$3, [
            vue.renderSlot(_ctx.$slots, "default", {}, void 0, true)
          ])
        ]);
      };
    }
  });
  const Checkbox_vue_vue_type_style_index_0_scoped_19df75d1_lang = "";
  const Checkbox = /* @__PURE__ */ _export_sfc(_sfc_main$d, [["__scopeId", "data-v-19df75d1"]]);
  const _withScopeId$3 = (n2) => (vue.pushScopeId("data-v-3aed2513"), n2 = n2(), vue.popScopeId(), n2);
  const _hoisted_1$a = { class: "chip" };
  const _hoisted_2$6 = { class: "chip-content" };
  const _hoisted_3$2 = {
    key: 0,
    class: "chip-close"
  };
  const _hoisted_4$1 = /* @__PURE__ */ _withScopeId$3(() => /* @__PURE__ */ vue.createElementVNode("path", { d: "M12 2C6.47 2 2 6.47 2 12s4.47 10 10 10 10-4.47 10-10S17.53 2 12 2zm5 13.59L15.59 17 12 13.41 8.41 17 7 15.59 10.59 12 7 8.41 8.41 7 12 10.59 15.59 7 17 8.41 13.41 12 17 15.59z" }, null, -1));
  const _hoisted_5$1 = [
    _hoisted_4$1
  ];
  const _sfc_main$c = /* @__PURE__ */ vue.defineComponent({
    __name: "Tag",
    props: /* @__PURE__ */ vue.mergeModels({
      label: {
        type: String,
        required: false,
        default: void 0
      },
      color: {
        type: String,
        required: false,
        default: "primary"
      },
      closeable: {
        type: Boolean,
        required: false,
        default: false
      }
    }, {
      "modelValue": {},
      "modelModifiers": {}
    }),
    emits: /* @__PURE__ */ vue.mergeModels(["close"], ["update:modelValue"]),
    setup(__props, { emit: __emit }) {
      vue.useCssVars((_ctx) => ({
        "5a98ec52": backgroundColorCssVariable.value,
        "dc5e32e8": fontColor.value
      }));
      vue.useModel(__props, "modelValue");
      const emits = __emit;
      const props = __props;
      vue.useSlots();
      const backgroundColorCssVariable = vue.computed(() => {
        return getBackgroundColor(props.color);
      });
      const fontColor = vue.computed(() => {
        return getFontColor(props.color);
      });
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$a, [
          vue.createElementVNode("div", _hoisted_2$6, [
            vue.renderSlot(_ctx.$slots, "default", {}, void 0, true)
          ]),
          __props.closeable ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_3$2, [
            (vue.openBlock(), vue.createElementBlock("svg", {
              onClick: _cache[0] || (_cache[0] = ($event) => emits("close")),
              class: "chip-svg",
              focusable: "false",
              viewBox: "0 0 24 24",
              "aria-hidden": "true"
            }, _hoisted_5$1))
          ])) : vue.createCommentVNode("", true)
        ]);
      };
    }
  });
  const Tag_vue_vue_type_style_index_0_scoped_3aed2513_lang = "";
  const Tag = /* @__PURE__ */ _export_sfc(_sfc_main$c, [["__scopeId", "data-v-3aed2513"]]);
  const _hoisted_1$9 = { class: "aurora-code" };
  const _sfc_main$b = /* @__PURE__ */ vue.defineComponent({
    __name: "Code",
    props: {
      color: {
        type: String,
        required: false,
        default: "gray"
      }
    },
    setup(__props) {
      vue.useCssVars((_ctx) => ({
        "53a2604b": backgroundColorCssVariable.value,
        "6c613d73": fontColor.value
      }));
      const props = __props;
      const backgroundColorCssVariable = vue.computed(() => {
        return getBackgroundColor(props.color);
      });
      const fontColor = vue.computed(() => {
        return getFontColor(props.color);
      });
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("code", _hoisted_1$9, [
          vue.renderSlot(_ctx.$slots, "default", {}, void 0, true)
        ]);
      };
    }
  });
  const Code_vue_vue_type_style_index_0_scoped_af19d36e_lang = "";
  const Code = /* @__PURE__ */ _export_sfc(_sfc_main$b, [["__scopeId", "data-v-af19d36e"]]);
  const _hoisted_1$8 = { class: "aurora-menu" };
  const _hoisted_2$5 = ["onClick"];
  const _sfc_main$a = /* @__PURE__ */ vue.defineComponent({
    __name: "Menu",
    props: /* @__PURE__ */ vue.mergeModels({
      items: {
        type: Object,
        required: false,
        default: []
      }
    }, {
      "modelValue": {},
      "modelModifiers": {}
    }),
    emits: /* @__PURE__ */ vue.mergeModels(["change"], ["update:modelValue"]),
    setup(__props, { emit: __emit }) {
      vue.useModel(__props, "modelValue");
      return (_ctx, _cache) => {
        const _component_Menu = vue.resolveComponent("Menu", true);
        return vue.openBlock(), vue.createElementBlock("ul", _hoisted_1$8, [
          (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(__props.items, (item) => {
            return vue.openBlock(), vue.createElementBlock("li", {
              onClick: ($event) => item.command !== void 0 ? item.command() : {},
              key: item.key
            }, [
              vue.createElementVNode("div", {
                class: vue.normalizeClass(item.items ? "aurora-group" : "aurora-item")
              }, vue.toDisplayString(item.label), 3),
              __props.items ? (vue.openBlock(), vue.createBlock(_component_Menu, {
                key: 0,
                items: item.items
              }, null, 8, ["items"])) : vue.createCommentVNode("", true)
            ], 8, _hoisted_2$5);
          }), 128))
        ]);
      };
    }
  });
  const Menu_vue_vue_type_style_index_0_scoped_ece2decc_lang = "";
  const Menu = /* @__PURE__ */ _export_sfc(_sfc_main$a, [["__scopeId", "data-v-ece2decc"]]);
  const _withScopeId$2 = (n2) => (vue.pushScopeId("data-v-a701129f"), n2 = n2(), vue.popScopeId(), n2);
  const _hoisted_1$7 = {
    key: 1,
    class: "button-icon"
  };
  const _hoisted_2$4 = /* @__PURE__ */ _withScopeId$2(() => /* @__PURE__ */ vue.createElementVNode("div", { class: "mdi mdi-loading button-loading" }, null, -1));
  const _hoisted_3$1 = [
    _hoisted_2$4
  ];
  const _hoisted_4 = {
    key: 2,
    class: "button-icon"
  };
  const _hoisted_5 = /* @__PURE__ */ _withScopeId$2(() => /* @__PURE__ */ vue.createElementVNode("div", { class: "mdi mdi-loading button-loading" }, null, -1));
  const _hoisted_6 = [
    _hoisted_5
  ];
  const _sfc_main$9 = /* @__PURE__ */ vue.defineComponent({
    __name: "Button",
    props: {
      type: {
        type: String,
        require: false,
        default: "default"
      },
      size: {
        type: String,
        require: false,
        default: "md"
      },
      variant: {
        type: String,
        require: false,
        default: "solid"
      },
      color: {
        type: String,
        require: false,
        default: "primary"
      },
      disabled: {
        type: Boolean,
        require: false,
        default: false
      },
      loading: {
        type: Boolean,
        require: false,
        default: false
      },
      icon: {
        type: String,
        require: false,
        default: void 0
      },
      iconPosition: {
        type: String,
        require: false,
        default: "left"
      }
    },
    emits: ["click"],
    setup(__props, { emit: __emit }) {
      vue.useCssVars((_ctx) => ({
        "6cc32836": backgroundColorCssVariable.value,
        "7e093ace": fontColor.value
      }));
      const props = __props;
      const emits = __emit;
      const className = vue.computed(() => {
        return {
          button: true,
          "button-xlg": props.size === "xlg",
          "button-lg": props.size === "lg",
          "button-sm": props.size === "sm",
          "button-xsm": props.size === "xs",
          "button-solid": props.variant === "solid",
          "button-outlined": props.variant === "outlined",
          "button-text": props.variant === "text",
          "button-link": props.variant === "link"
        };
      });
      const backgroundColorCssVariable = vue.computed(() => {
        return getBackgroundColor(props.color);
      });
      const fontColor = vue.computed(() => {
        if (props.variant === "text") {
          return getFontColor(void 0);
        }
        return getFontColor(props.color);
      });
      useTheme().global();
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("button", {
          onClick: _cache[0] || (_cache[0] = ($event) => emits("click")),
          class: vue.normalizeClass(className.value)
        }, [
          __props.icon ? (vue.openBlock(), vue.createElementBlock("div", {
            key: 0,
            class: vue.normalizeClass(__props.icon)
          }, null, 2)) : vue.createCommentVNode("", true),
          vue.renderSlot(_ctx.$slots, "leftIcon", {}, void 0, true),
          __props.loading && __props.iconPosition === "left" ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_1$7, _hoisted_3$1)) : vue.createCommentVNode("", true),
          vue.renderSlot(_ctx.$slots, "prepend", {}, void 0, true),
          vue.renderSlot(_ctx.$slots, "default", {}, void 0, true),
          vue.renderSlot(_ctx.$slots, "append", {}, void 0, true),
          __props.iconPosition === "right" ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_4, _hoisted_6)) : vue.createCommentVNode("", true),
          vue.renderSlot(_ctx.$slots, "rightIcon", {}, void 0, true)
        ], 2);
      };
    }
  });
  const Button_vue_vue_type_style_index_0_scoped_a701129f_lang = "";
  const Button = /* @__PURE__ */ _export_sfc(_sfc_main$9, [["__scopeId", "data-v-a701129f"]]);
  const _hoisted_1$6 = { class: "layout" };
  const _hoisted_2$3 = { class: "aurora-layout-content" };
  const _sfc_main$8 = /* @__PURE__ */ vue.defineComponent({
    __name: "Layout",
    props: /* @__PURE__ */ vue.mergeModels({
      id: {
        type: String,
        required: false,
        default: void 0
      }
    }, {
      "modelValue": {},
      "modelModifiers": {}
    }),
    emits: ["update:modelValue"],
    setup(__props) {
      vue.useModel(__props, "modelValue");
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$6, [
          vue.renderSlot(_ctx.$slots, "header", {}, void 0, true),
          vue.renderSlot(_ctx.$slots, "sidebar", {}, void 0, true),
          vue.createElementVNode("div", _hoisted_2$3, [
            vue.renderSlot(_ctx.$slots, "default", {}, void 0, true)
          ])
        ]);
      };
    }
  });
  const Layout_vue_vue_type_style_index_0_scoped_d8472dba_lang = "";
  const Layout = /* @__PURE__ */ _export_sfc(_sfc_main$8, [["__scopeId", "data-v-d8472dba"]]);
  const _hoisted_1$5 = { class: "header" };
  const _hoisted_2$2 = { class: "header-right" };
  const _sfc_main$7 = /* @__PURE__ */ vue.defineComponent({
    __name: "Header",
    props: /* @__PURE__ */ vue.mergeModels({
      id: {
        type: String,
        required: false,
        default: void 0
      }
    }, {
      "modelValue": {},
      "modelModifiers": {}
    }),
    emits: ["update:modelValue"],
    setup(__props) {
      vue.useModel(__props, "modelValue");
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$5, [
          vue.renderSlot(_ctx.$slots, "left", {}, void 0, true),
          vue.createElementVNode("div", _hoisted_2$2, [
            vue.renderSlot(_ctx.$slots, "right", {}, void 0, true)
          ])
        ]);
      };
    }
  });
  const Header_vue_vue_type_style_index_0_scoped_0b6a9b9c_lang = "";
  const Header = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["__scopeId", "data-v-0b6a9b9c"]]);
  const _withScopeId$1 = (n2) => (vue.pushScopeId("data-v-5e77094a"), n2 = n2(), vue.popScopeId(), n2);
  const _hoisted_1$4 = { class: "switch" };
  const _hoisted_2$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ vue.createElementVNode("span", { class: "slider" }, null, -1));
  const _sfc_main$6 = /* @__PURE__ */ vue.defineComponent({
    __name: "Switch",
    props: /* @__PURE__ */ vue.mergeModels({
      label: {
        type: String,
        required: false,
        default: void 0
      }
    }, {
      "modelValue": {},
      "modelModifiers": {}
    }),
    emits: /* @__PURE__ */ vue.mergeModels(["change"], ["update:modelValue"]),
    setup(__props, { emit: __emit }) {
      const model = vue.useModel(__props, "modelValue");
      const emits = __emit;
      vue.watch(
        () => model.value,
        (enabled) => {
          emits("change", enabled);
        }
      );
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("label", _hoisted_1$4, [
          vue.withDirectives(vue.createElementVNode("input", {
            type: "checkbox",
            "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => model.value = $event)
          }, null, 512), [
            [vue.vModelCheckbox, model.value]
          ]),
          _hoisted_2$1
        ]);
      };
    }
  });
  const Switch_vue_vue_type_style_index_0_scoped_5e77094a_lang = "";
  const Switch = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["__scopeId", "data-v-5e77094a"]]);
  const _hoisted_1$3 = { class: "tab-headers" };
  const _sfc_main$5 = /* @__PURE__ */ vue.defineComponent({
    __name: "Tabs",
    props: {
      selectedKey: {
        type: String,
        required: true
      }
    },
    setup(__props) {
      const slots = vue.useSlots();
      const props = __props;
      const selected = vue.ref(props.selectedKey);
      vue.watch(
        () => props.selectedKey,
        (newValue) => {
          selected.value = newValue;
        }
      );
      const tabHeaders = vue.computed(() => {
        return slots.default().reduce((tabHeaders2, child) => {
          tabHeaders2.push({
            ...child.props,
            ...{ active: child.props.key === selected.value }
          });
          return tabHeaders2;
        }, []);
      });
      const tabs = vue.computed(() => {
        return slots.default().reduce((tabs2, child) => {
          if (child.props.key === selected.value) {
            if (child.children) {
              tabs2.push(child.children.default()[0]);
            }
          }
          return tabs2;
        }, []);
      });
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("div", null, [
          vue.createElementVNode("div", _hoisted_1$3, [
            (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(tabHeaders.value, ({ label, key, active }) => {
              return vue.openBlock(), vue.createElementBlock("div", {
                class: vue.normalizeClass(active ? " tab-header-active" : "")
              }, [
                vue.createVNode(Button, {
                  onClick: ($event) => selected.value = key,
                  variant: "text",
                  class: "tab-header-button"
                }, {
                  default: vue.withCtx(() => [
                    vue.createTextVNode(vue.toDisplayString(label), 1)
                  ]),
                  _: 2
                }, 1032, ["onClick"])
              ], 2);
            }), 256))
          ]),
          (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(tabs.value, (tab, index) => {
            return vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: tab }, [
              tab ? (vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(tab), { key: 0 })) : vue.createCommentVNode("", true)
            ], 64);
          }), 128))
        ]);
      };
    }
  });
  const Tabs_vue_vue_type_style_index_0_scoped_cde4d72d_lang = "";
  const Tabs = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["__scopeId", "data-v-cde4d72d"]]);
  const _hoisted_1$2 = { class: "tab-header" };
  const _sfc_main$4 = /* @__PURE__ */ vue.defineComponent({
    __name: "Tab",
    props: {
      label: {
        type: String,
        required: false,
        default: void 0
      },
      key: {
        type: String,
        required: true
      }
    },
    setup(__props) {
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
          vue.createElementVNode("div", _hoisted_1$2, vue.toDisplayString(__props.label), 1),
          vue.createElementVNode("div", null, [
            vue.renderSlot(_ctx.$slots, "default")
          ])
        ], 64);
      };
    }
  });
  const _hoisted_1$1 = { class: "table" };
  const _sfc_main$3 = /* @__PURE__ */ vue.defineComponent({
    __name: "Table",
    props: {
      items: {
        type: Object,
        required: true
      }
    },
    setup(__props) {
      const slots = vue.useSlots();
      const props = __props;
      const tableHeaders = vue.computed(() => {
        return slots.default().reduce((headers, child) => {
          headers.push(child);
          return headers;
        }, []);
      });
      const headerKeys = vue.computed(() => {
        return tableHeaders.value.map((header) => header.props.key);
      });
      const rows = vue.computed(() => {
        const result = props.items.map((item) => {
          const row = [];
          headerKeys.value.forEach((headerKey) => {
            row.push(item[headerKey]);
          });
          return row;
        });
        console.log(result);
        return result;
      });
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("table", _hoisted_1$1, [
          vue.createElementVNode("tr", null, [
            (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(tableHeaders.value, (header, index) => {
              return vue.openBlock(), vue.createElementBlock("th", { key: header }, [
                header ? (vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(header), { key: 0 })) : vue.createCommentVNode("", true)
              ]);
            }), 128))
          ]),
          (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(rows.value, (row) => {
            return vue.openBlock(), vue.createElementBlock("tr", { key: row }, [
              (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(row, (data) => {
                return vue.openBlock(), vue.createElementBlock("td", null, vue.toDisplayString(data), 1);
              }), 256))
            ]);
          }), 128))
        ]);
      };
    }
  });
  const Table_vue_vue_type_style_index_0_scoped_d58b893b_lang = "";
  const Table = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["__scopeId", "data-v-d58b893b"]]);
  const _sfc_main$2 = /* @__PURE__ */ vue.defineComponent({
    __name: "TextField",
    props: /* @__PURE__ */ vue.mergeModels({
      size: {
        type: String,
        require: false,
        default: "md"
      },
      label: {
        type: String,
        required: false,
        default: void 0
      },
      placeholder: {
        type: String,
        required: false,
        default: void 0
      },
      backgroundColour: {
        type: String,
        required: false,
        default: void 0
      },
      variant: {
        type: String,
        required: false
      }
    }, {
      "modelValue": {},
      "modelModifiers": {}
    }),
    emits: /* @__PURE__ */ vue.mergeModels(["click"], ["update:modelValue"]),
    setup(__props, { emit: __emit }) {
      vue.useModel(__props, "modelValue");
      const props = __props;
      const variantClass = vue.computed(() => {
        if (props.variant === "filled") {
          return "input-filled";
        } else if (props.variant === "outlined") {
          return "input-outlined";
        } else {
          return "";
        }
      });
      const sizeClass = vue.computed(() => {
        if (props.size === "xs") {
          return "input-xs";
        } else if (props.size === "md") {
          return "input-md";
        } else if (props.size === "lg") {
          return "input-lg";
        } else if (props.size === "xlg") {
          return "input-xlg";
        } else {
          return "";
        }
      });
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
          vue.renderSlot(_ctx.$slots, "left-icon", {}, void 0, true),
          vue.createElementVNode("input", {
            type: "text",
            class: vue.normalizeClass(variantClass.value + " " + sizeClass.value)
          }, null, 2),
          vue.renderSlot(_ctx.$slots, "right-icon", { class: "icon" }, void 0, true)
        ], 64);
      };
    }
  });
  const TextField_vue_vue_type_style_index_0_scoped_ccfd2dc0_lang = "";
  const TextField = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["__scopeId", "data-v-ccfd2dc0"]]);
  const _sfc_main$1 = /* @__PURE__ */ vue.defineComponent({
    __name: "Column",
    props: {
      key: {
        type: String,
        required: true
      },
      header: {
        type: String,
        required: true
      }
    },
    setup(__props) {
      vue.useSlots();
      return (_ctx, _cache) => {
        return vue.openBlock(), vue.createElementBlock("div", null, vue.toDisplayString(__props.header), 1);
      };
    }
  });
  const IconButton_vue_vue_type_style_index_0_scoped_59c5c4fc_lang = "";
  const _sfc_main = {};
  const _withScopeId = (n2) => (vue.pushScopeId("data-v-59c5c4fc"), n2 = n2(), vue.popScopeId(), n2);
  const _hoisted_1 = { class: "icon-box" };
  const _hoisted_2 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ vue.createElementVNode("div", { class: "mdi mdi-square" }, null, -1));
  const _hoisted_3 = [
    _hoisted_2
  ];
  function _sfc_render(_ctx, _cache) {
    return vue.openBlock(), vue.createElementBlock("div", _hoisted_1, _hoisted_3);
  }
  const IconButton = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-59c5c4fc"]]);
  exports.Button = Button;
  exports.Checkbox = Checkbox;
  exports.Code = Code;
  exports.Column = _sfc_main$1;
  exports.ComponentsPlugin = componentsPlugin;
  exports.DARK_THEME = DARK_THEME;
  exports.Header = Header;
  exports.IconButton = IconButton;
  exports.LIGHT_THEME = LIGHT_THEME;
  exports.Layout = Layout;
  exports.Menu = Menu;
  exports.Sidebar = Sidebar;
  exports.Switch = Switch;
  exports.Tab = _sfc_main$4;
  exports.Table = Table;
  exports.Tabs = Tabs;
  exports.Tag = Tag;
  exports.TextField = TextField;
  exports.useTheme = useTheme;
  Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
  return exports;
}({}, Vue);
